io.netty.handler.codec.xml

## Class XmlDocumentStart

- java.lang.Object
- - io.netty.handler.codec.xml.XmlDocumentStart

    public class XmlDocumentStart
    extends Object

Beginning of the XML document ... i.e. XML header

### Constructor Summary

Constructors
Constructor and Description
`XmlDocumentStart(String encoding, String version, boolean standalone, String encodingScheme)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `encoding()` Return defined or guessed XML encoding
`String` `encodingScheme()` Return defined encoding or null
`boolean` `equals(Object o)`
`int` `hashCode()`
`boolean` `standalone()` Return standalonity of the document
`String` `toString()`
`String` `version()` Return defined XML version or null

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XmlDocumentStart

    public XmlDocumentStart(String encoding,
                            String version,
                            boolean standalone,
                            String encodingScheme)

### Method Detail

#### encoding

    public String encoding()

Return defined or guessed XML encoding

#### version

    public String version()

Return defined XML version or null

#### standalone

    public boolean standalone()

Return standalonity of the document

#### encodingScheme

    public String encodingScheme()

Return defined encoding or null

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`